Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Bergamo wrong updates
#1
Sebbene Bergamo sia un sistema operativo indipendente, abbiamo addottato i repositories di PCLinuxOS Mate come base. PClos Mate è una iso-community, si avvale comunque dei repo ufficiali, ma è supportata da volontari che sebbene facciano un lavoro encomiabile ultimamente abbiamo riscontrato diversi problemi. Da qui la nostra decisione di passare alla versione ufficale di PCLinuxOS basata su kde5 per la Cagliari che non sembra soffrire di alcun problema. Qui sotto un esempio preso dal forum LiberaInformatica

<Su PCLinuxOS Mate installato ormai un annetto fa, da ieri sera 31/07/2022 compare un errore di aggiornamento che pensavo risolvessero nella notte. Tutt'ora che scrivo è ancora irrisolto.
.
In pratica in fase di aggiornamento, (via) Synaptic richiede la rimozione di:
Citazione: Wrote:atril verrà rimosso
atril-dvi verrà rimosso
caja verrà rimosso
caja-gksu verrà rimosso
caja-image-converter verrà rimosso
caja-open-terminal verrà rimosso
caja-sendto verrà rimosso
caja-wallpaper verrà rimosso
caja-xattr-tags verrà rimosso
engrampa verrà rimosso
gnome-disk-utility verrà rimosso
gvfs verrà rimosso
gvfs-archive verrà rimosso
gvfs-fuse verrà rimosso
gvfs-gphoto2 verrà rimosso
gvfs-mtp verrà rimosso
gvfs-smb verrà rimosso
lib64bd_crypto2 verrà rimosso
lib64bd_fs2 verrà rimosso
lib64bd_loop2 verrà rimosso
lib64bd_mdraid2 verrà rimosso
lib64bd_part2 verrà rimosso
lib64bd_swap2 verrà rimosso
lib64blockdev2 verrà rimosso
lib64bytesize1 verrà rimosso
lib64gvfs0 verrà rimosso
lib64volume_key1 verrà rimosso
python3-caja verrà rimosso
task-mate verrà rimosso
udisks2 verrà rimosso
..
e poi, successivamente di aggiornare:
Citazione: Wrote:glibc (versione 2.35-13pclos2022) verrà aggiornato alla versione 2.35-14pclos2022
glibc-devel (versione 2.35-13pclos2022) verrà aggiornato alla versione 2.35-14pclos2022
glibc-i18ndata (versione 2.35-13pclos2022) verrà aggiornato alla versione 2.35-14pclos2022
lib64tiff-devel (versione 4.4.0-1pclos2022) verrà aggiornato alla versione 4.4.0-2pclos2022
lib64tiff5 (versione 4.4.0-1pclos2022) verrà aggiornato alla
..
Segnalo perchè chi dovesse aggiornare si troverà senza mezzo sistema usabile.>


QUI SOTTO LA SOLUZIONE

<chiudi synaptic ed apri il terminale, scrivi il comando per diventare amministratore di root >> su -
seguito dalla tua password. ora scrivi:
Codice:
Code:
rpm -ev --nodeps lib64bd_crypto2 lib64bd_fs2 lib64bd_loop2 lib64bd_mdraid2
lib64bd_part2 lib64bd_swap2 lib64blockdev2 lib64bytesize1
lib64volume_key1 udisks2
continuare poi con:
Codice:
Code:
apt-get reinstall -V udisks2
al termine riavviare subito.
dopo il riavvio, aggiornare da synaptic ( aggiornerà tra gli altri >> glibc che richiederà anche lui un riavvio ).
tutta la problematica è nata da un aggiornamento di udisk2, purtroppo questo è collegato a molti altri. nel caso che al termine qualche cosa non risultasse installato, lo installeremo, esempio atril o altri.

presta attenzione, nel terminale il comando è: su -
ovvero dopo uno spazio una linetta.>


Se incontrate difficoltà con gli updates della Bergamo siamo qui ad aiutarvi!

If you encounter difficulties with Bergamo updates, we are here to help you!
Reply
#2
Buone notizie, dopo un update veramente corposo da parte di Textar relativo a python3 tutti i bugs veramente noiosi per la Bergamo sono risolti, alcune nostre applicazioni che sembravano non funzionare più adesso invece sono a posto.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)